### DB_ENV->lock_id_free |

`

###

    #include <db.h>

    int
    DB_ENV->lock_id_free(DB_ENV *env, u_int32_t id);

### Description: DB_ENV->lock_id_free

The DB_ENV->lock_id_free method frees a locker ID allocated by the DB_ENV->lock_id method.

The DB_ENV->lock_id_free method returns a non-zero error value on failure and 0 on success.

### Parameters

id
  The id parameter is the locker id to be freed.

### Errors

The DB_ENV->lock_id_free method may fail and return one of the following non-zero errors:

EINVAL
  If the locker ID is invalid or locks are still held by this locker ID; or if an invalid flag value or parameter was specified.

### Class

DB_ENV, DB_LOCK

### See Also

Locking Subsystem and Related Methods`

Copyright (c) 1996-2006 Oracle Corporation - All rights reserved.